/*===========================================================================*/
/*   (Eval/expdcase.scm)                                                     */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/expdcase.scm -indent -o objs/obj_u/Eval/expdcase.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EXPANDER_CASE_TYPE_DEFINITIONS
#define BGL___EXPANDER_CASE_TYPE_DEFINITIONS
#endif													// BGL___EXPANDER_CASE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_symbol1676z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1678z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1681z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1683z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1685z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1687z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1689z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_casez00 = BUNSPEC;
	extern obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_casez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62expandzd2evalzd2casez62zz__expander_casez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2casezd2zz__expander_casez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_casez00(void);
	static obj_t BGl_genericzd2initzd2zz__expander_casez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_casez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__expander_casez00(void);
	static obj_t BGl_objectzd2initzd2zz__expander_casez00(void);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_casez00(void);
	static obj_t BGl_loopze70ze7zz__expander_casez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2evalzd2casez00zz__expander_casez00(obj_t,
		obj_t);
	extern obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2casezd2envzd2zz__expander_casez00,
		BgL_bgl_za762expandza7d2eval1692z00,
		BGl_z62expandzd2evalzd2casez62zz__expander_casez00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1674z00zz__expander_casez00,
		BgL_bgl_string1674za700za7za7_1693za7, "case", 4);
	      BGL_DEFINE_STRING(BGl_string1675z00zz__expander_casez00,
		BgL_bgl_string1675za700za7za7_1694za7, "Illegal form", 12);
	      BGL_DEFINE_STRING(BGl_string1677z00zz__expander_casez00,
		BgL_bgl_string1677za700za7za7_1695za7, "case-value", 10);
	      BGL_DEFINE_STRING(BGl_string1679z00zz__expander_casez00,
		BgL_bgl_string1679za700za7za7_1696za7, "let", 3);
	      BGL_DEFINE_STRING(BGl_string1680z00zz__expander_casez00,
		BgL_bgl_string1680za700za7za7_1697za7, "Illegal `case' form", 19);
	      BGL_DEFINE_STRING(BGl_string1682z00zz__expander_casez00,
		BgL_bgl_string1682za700za7za7_1698za7, "quote", 5);
	      BGL_DEFINE_STRING(BGl_string1684z00zz__expander_casez00,
		BgL_bgl_string1684za700za7za7_1699za7, "eqv?", 4);
	      BGL_DEFINE_STRING(BGl_string1686z00zz__expander_casez00,
		BgL_bgl_string1686za700za7za7_1700za7, "if", 2);
	      BGL_DEFINE_STRING(BGl_string1688z00zz__expander_casez00,
		BgL_bgl_string1688za700za7za7_1701za7, "memv", 4);
	      BGL_DEFINE_STRING(BGl_string1690z00zz__expander_casez00,
		BgL_bgl_string1690za700za7za7_1702za7, "else", 4);
	      BGL_DEFINE_STRING(BGl_string1691z00zz__expander_casez00,
		BgL_bgl_string1691za700za7za7_1703za7, "__expander_case", 15);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1691z00zz__expander_casez00,
			BgL_bgl_string1691za700za7za7_1703za7);
		BGL_BIND_STRING(BGl_string1690z00zz__expander_casez00,
			BgL_bgl_string1690za700za7za7_1702za7);
		BGL_BIND_STRING(BGl_string1688z00zz__expander_casez00,
			BgL_bgl_string1688za700za7za7_1701za7);
		BGL_BIND_STRING(BGl_string1686z00zz__expander_casez00,
			BgL_bgl_string1686za700za7za7_1700za7);
		BGL_BIND_STRING(BGl_string1684z00zz__expander_casez00,
			BgL_bgl_string1684za700za7za7_1699za7);
		BGL_BIND_STRING(BGl_string1682z00zz__expander_casez00,
			BgL_bgl_string1682za700za7za7_1698za7);
		BGL_BIND_STRING(BGl_string1680z00zz__expander_casez00,
			BgL_bgl_string1680za700za7za7_1697za7);
		BGL_BIND_STRING(BGl_string1679z00zz__expander_casez00,
			BgL_bgl_string1679za700za7za7_1696za7);
		BGL_BIND_STRING(BGl_string1677z00zz__expander_casez00,
			BgL_bgl_string1677za700za7za7_1695za7);
		BGL_BIND_STRING(BGl_string1675z00zz__expander_casez00,
			BgL_bgl_string1675za700za7za7_1694za7);
		BGL_BIND_STRING(BGl_string1674z00zz__expander_casez00,
			BgL_bgl_string1674za700za7za7_1693za7);
		BGL_BIND_PROCEDURE(BGl_expandzd2evalzd2casezd2envzd2zz__expander_casez00,
			BgL_bgl_za762expandza7d2eval1692z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_symbol1676z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_symbol1678z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_symbol1681z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_symbol1683z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_symbol1685z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_symbol1687z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_symbol1689z00zz__expander_casez00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__expander_casez00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_casez00(long
		BgL_checksumz00_1844, char *BgL_fromz00_1845)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_casez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_casez00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__expander_casez00();
					BGl_cnstzd2initzd2zz__expander_casez00();
					BGl_importedzd2moduleszd2initz00zz__expander_casez00();
					return BGl_methodzd2initzd2zz__expander_casez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_casez00(void)
	{
		{	/* Eval/expdcase.scm 14 */
			BGl_symbol1676z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1677z00zz__expander_casez00);
			BGl_symbol1678z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1679z00zz__expander_casez00);
			BGl_symbol1681z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1682z00zz__expander_casez00);
			BGl_symbol1683z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1684z00zz__expander_casez00);
			BGl_symbol1685z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1686z00zz__expander_casez00);
			BGl_symbol1687z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1688z00zz__expander_casez00);
			return (BGl_symbol1689z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1690z00zz__expander_casez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__expander_casez00(void)
	{
		{	/* Eval/expdcase.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* expand-eval-case */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2evalzd2casez00zz__expander_casez00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		{	/* Eval/expdcase.scm 54 */
			if (PAIRP(BgL_xz00_3))
				{	/* Eval/expdcase.scm 55 */
					obj_t BgL_cdrzd2109zd2_1132;

					BgL_cdrzd2109zd2_1132 = CDR(((obj_t) BgL_xz00_3));
					if (PAIRP(BgL_cdrzd2109zd2_1132))
						{	/* Eval/expdcase.scm 55 */
							return
								BGl_genericzd2casezd2zz__expander_casez00(BgL_xz00_3,
								CAR(BgL_cdrzd2109zd2_1132),
								CDR(BgL_cdrzd2109zd2_1132), BgL_ez00_4);
						}
					else
						{	/* Eval/expdcase.scm 55 */
							return
								BGl_expandzd2errorzd2zz__expandz00
								(BGl_string1674z00zz__expander_casez00,
								BGl_string1675z00zz__expander_casez00, BgL_xz00_3);
						}
				}
			else
				{	/* Eval/expdcase.scm 55 */
					return
						BGl_expandzd2errorzd2zz__expandz00
						(BGl_string1674z00zz__expander_casez00,
						BGl_string1675z00zz__expander_casez00, BgL_xz00_3);
				}
		}

	}



/* &expand-eval-case */
	obj_t BGl_z62expandzd2evalzd2casez62zz__expander_casez00(obj_t
		BgL_envz00_1833, obj_t BgL_xz00_1834, obj_t BgL_ez00_1835)
	{
		{	/* Eval/expdcase.scm 54 */
			return
				BGl_expandzd2evalzd2casez00zz__expander_casez00(BgL_xz00_1834,
				BgL_ez00_1835);
		}

	}



/* generic-case */
	obj_t BGl_genericzd2casezd2zz__expander_casez00(obj_t BgL_xz00_5,
		obj_t BgL_valuez00_6, obj_t BgL_clausesz00_7, obj_t BgL_ez00_8)
	{
		{	/* Eval/expdcase.scm 65 */
			{	/* Eval/expdcase.scm 66 */
				obj_t BgL_arg1170z00_1136;

				{	/* Eval/expdcase.scm 66 */
					obj_t BgL_arg1187z00_1137;

					{	/* Eval/expdcase.scm 66 */
						obj_t BgL_arg1189z00_1138;
						obj_t BgL_arg1192z00_1139;

						{	/* Eval/expdcase.scm 66 */
							obj_t BgL_arg1193z00_1140;

							{	/* Eval/expdcase.scm 66 */
								obj_t BgL_arg1194z00_1141;

								BgL_arg1194z00_1141 = MAKE_YOUNG_PAIR(BgL_valuez00_6, BNIL);
								BgL_arg1193z00_1140 =
									MAKE_YOUNG_PAIR(BGl_symbol1676z00zz__expander_casez00,
									BgL_arg1194z00_1141);
							}
							BgL_arg1189z00_1138 = MAKE_YOUNG_PAIR(BgL_arg1193z00_1140, BNIL);
						}
						BgL_arg1192z00_1139 =
							MAKE_YOUNG_PAIR(BGl_loopze70ze7zz__expander_casez00(BgL_xz00_5,
								BgL_clausesz00_7), BNIL);
						BgL_arg1187z00_1137 =
							MAKE_YOUNG_PAIR(BgL_arg1189z00_1138, BgL_arg1192z00_1139);
					}
					BgL_arg1170z00_1136 =
						MAKE_YOUNG_PAIR(BGl_symbol1678z00zz__expander_casez00,
						BgL_arg1187z00_1137);
				}
				return BGL_PROCEDURE_CALL2(BgL_ez00_8, BgL_arg1170z00_1136, BgL_ez00_8);
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__expander_casez00(obj_t BgL_xz00_1836,
		obj_t BgL_clausesz00_1144)
	{
		{	/* Eval/expdcase.scm 67 */
			if (NULLP(BgL_clausesz00_1144))
				{	/* Eval/expdcase.scm 68 */
					return BUNSPEC;
				}
			else
				{
					obj_t BgL_bodyz00_1148;
					obj_t BgL_datumsz00_1150;
					obj_t BgL_bodyz00_1151;
					obj_t BgL_datumsz00_1153;
					obj_t BgL_bodyz00_1154;

					{	/* Eval/expdcase.scm 70 */
						obj_t BgL_ezd2121zd2_1157;

						BgL_ezd2121zd2_1157 = CAR(((obj_t) BgL_clausesz00_1144));
						if (NULLP(BgL_ezd2121zd2_1157))
							{	/* Eval/expdcase.scm 70 */
								return BUNSPEC;
							}
						else
							{	/* Eval/expdcase.scm 70 */
								if (PAIRP(BgL_ezd2121zd2_1157))
									{	/* Eval/expdcase.scm 70 */
										if (
											(CAR(BgL_ezd2121zd2_1157) ==
												BGl_symbol1689z00zz__expander_casez00))
											{	/* Eval/expdcase.scm 70 */
												BgL_bodyz00_1148 = CDR(BgL_ezd2121zd2_1157);
												{	/* Eval/expdcase.scm 74 */
													bool_t BgL_test1711z00_1897;

													if (NULLP(CDR(((obj_t) BgL_clausesz00_1144))))
														{	/* Eval/expdcase.scm 74 */
															BgL_test1711z00_1897 = NULLP(BgL_bodyz00_1148);
														}
													else
														{	/* Eval/expdcase.scm 74 */
															BgL_test1711z00_1897 = ((bool_t) 1);
														}
													if (BgL_test1711z00_1897)
														{	/* Eval/expdcase.scm 74 */
															return
																BGl_expandzd2errorzd2zz__expandz00
																(BGl_string1674z00zz__expander_casez00,
																BGl_string1680z00zz__expander_casez00,
																BgL_xz00_1836);
														}
													else
														{	/* Eval/expdcase.scm 74 */
															return
																BGl_expandzd2prognzd2zz__prognz00
																(BgL_bodyz00_1148);
														}
												}
											}
										else
											{	/* Eval/expdcase.scm 70 */
												obj_t BgL_carzd2134zd2_1163;

												BgL_carzd2134zd2_1163 = CAR(BgL_ezd2121zd2_1157);
												if (PAIRP(BgL_carzd2134zd2_1163))
													{	/* Eval/expdcase.scm 70 */
														bool_t BgL_test1714z00_1909;

														{	/* Eval/expdcase.scm 70 */
															obj_t BgL_tmpz00_1910;

															BgL_tmpz00_1910 = CDR(BgL_carzd2134zd2_1163);
															BgL_test1714z00_1909 = PAIRP(BgL_tmpz00_1910);
														}
														if (BgL_test1714z00_1909)
															{	/* Eval/expdcase.scm 70 */
																BgL_datumsz00_1150 = BgL_carzd2134zd2_1163;
																BgL_bodyz00_1151 = CDR(BgL_ezd2121zd2_1157);
																if (NULLP(BgL_bodyz00_1151))
																	{	/* Eval/expdcase.scm 78 */
																		return
																			BGl_expandzd2errorzd2zz__expandz00
																			(BGl_string1674z00zz__expander_casez00,
																			BGl_string1680z00zz__expander_casez00,
																			BgL_xz00_1836);
																	}
																else
																	{	/* Eval/expdcase.scm 81 */
																		obj_t BgL_arg1239z00_1190;
																		obj_t BgL_arg1241z00_1191;

																		{	/* Eval/expdcase.scm 81 */
																			obj_t BgL_arg1242z00_1192;

																			{	/* Eval/expdcase.scm 81 */
																				obj_t BgL_arg1248z00_1193;
																				obj_t BgL_arg1249z00_1194;

																				{	/* Eval/expdcase.scm 81 */
																					obj_t BgL_arg1252z00_1195;

																					{	/* Eval/expdcase.scm 81 */
																						obj_t BgL_arg1253z00_1196;

																						{	/* Eval/expdcase.scm 81 */
																							obj_t BgL_arg1254z00_1197;

																							{	/* Eval/expdcase.scm 81 */
																								obj_t BgL_arg1258z00_1198;

																								BgL_arg1258z00_1198 =
																									MAKE_YOUNG_PAIR
																									(BgL_datumsz00_1150, BNIL);
																								BgL_arg1254z00_1197 =
																									MAKE_YOUNG_PAIR
																									(BGl_symbol1681z00zz__expander_casez00,
																									BgL_arg1258z00_1198);
																							}
																							BgL_arg1253z00_1196 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1254z00_1197, BNIL);
																						}
																						BgL_arg1252z00_1195 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol1676z00zz__expander_casez00,
																							BgL_arg1253z00_1196);
																					}
																					BgL_arg1248z00_1193 =
																						MAKE_YOUNG_PAIR
																						(BGl_symbol1687z00zz__expander_casez00,
																						BgL_arg1252z00_1195);
																				}
																				{	/* Eval/expdcase.scm 82 */
																					obj_t BgL_arg1259z00_1199;
																					obj_t BgL_arg1261z00_1200;

																					BgL_arg1259z00_1199 =
																						BGl_expandzd2prognzd2zz__prognz00
																						(BgL_bodyz00_1151);
																					{	/* Eval/expdcase.scm 83 */
																						obj_t BgL_arg1262z00_1201;

																						{	/* Eval/expdcase.scm 83 */
																							obj_t BgL_arg1263z00_1202;

																							BgL_arg1263z00_1202 =
																								CDR(
																								((obj_t) BgL_clausesz00_1144));
																							BgL_arg1262z00_1201 =
																								BGl_loopze70ze7zz__expander_casez00
																								(BgL_xz00_1836,
																								BgL_arg1263z00_1202);
																						}
																						BgL_arg1261z00_1200 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1262z00_1201, BNIL);
																					}
																					BgL_arg1249z00_1194 =
																						MAKE_YOUNG_PAIR(BgL_arg1259z00_1199,
																						BgL_arg1261z00_1200);
																				}
																				BgL_arg1242z00_1192 =
																					MAKE_YOUNG_PAIR(BgL_arg1248z00_1193,
																					BgL_arg1249z00_1194);
																			}
																			BgL_arg1239z00_1190 =
																				MAKE_YOUNG_PAIR
																				(BGl_symbol1685z00zz__expander_casez00,
																				BgL_arg1242z00_1192);
																		}
																		BgL_arg1241z00_1191 =
																			CAR(((obj_t) BgL_clausesz00_1144));
																		return
																			BGl_evepairifyz00zz__prognz00
																			(BgL_arg1239z00_1190,
																			BgL_arg1241z00_1191);
																	}
															}
														else
															{	/* Eval/expdcase.scm 70 */
																if (NULLP(CDR(((obj_t) BgL_carzd2134zd2_1163))))
																	{	/* Eval/expdcase.scm 70 */
																		obj_t BgL_arg1213z00_1171;
																		obj_t BgL_arg1215z00_1172;

																		BgL_arg1213z00_1171 =
																			CAR(((obj_t) BgL_carzd2134zd2_1163));
																		BgL_arg1215z00_1172 =
																			CDR(BgL_ezd2121zd2_1157);
																		BgL_datumsz00_1153 = BgL_arg1213z00_1171;
																		BgL_bodyz00_1154 = BgL_arg1215z00_1172;
																		if (NULLP(BgL_bodyz00_1154))
																			{	/* Eval/expdcase.scm 86 */
																				return
																					BGl_expandzd2errorzd2zz__expandz00
																					(BGl_string1674z00zz__expander_casez00,
																					BGl_string1680z00zz__expander_casez00,
																					BgL_xz00_1836);
																			}
																		else
																			{	/* Eval/expdcase.scm 89 */
																				obj_t BgL_arg1265z00_1204;
																				obj_t BgL_arg1266z00_1205;

																				{	/* Eval/expdcase.scm 89 */
																					obj_t BgL_arg1267z00_1206;

																					{	/* Eval/expdcase.scm 89 */
																						obj_t BgL_arg1269z00_1207;
																						obj_t BgL_arg1271z00_1208;

																						{	/* Eval/expdcase.scm 89 */
																							obj_t BgL_arg1274z00_1209;

																							{	/* Eval/expdcase.scm 89 */
																								obj_t BgL_arg1276z00_1210;

																								{	/* Eval/expdcase.scm 89 */
																									obj_t BgL_arg1278z00_1211;

																									{	/* Eval/expdcase.scm 89 */
																										obj_t BgL_arg1279z00_1212;

																										BgL_arg1279z00_1212 =
																											MAKE_YOUNG_PAIR
																											(BgL_datumsz00_1153,
																											BNIL);
																										BgL_arg1278z00_1211 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol1681z00zz__expander_casez00,
																											BgL_arg1279z00_1212);
																									}
																									BgL_arg1276z00_1210 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1278z00_1211, BNIL);
																								}
																								BgL_arg1274z00_1209 =
																									MAKE_YOUNG_PAIR
																									(BGl_symbol1676z00zz__expander_casez00,
																									BgL_arg1276z00_1210);
																							}
																							BgL_arg1269z00_1207 =
																								MAKE_YOUNG_PAIR
																								(BGl_symbol1683z00zz__expander_casez00,
																								BgL_arg1274z00_1209);
																						}
																						{	/* Eval/expdcase.scm 90 */
																							obj_t BgL_arg1280z00_1213;
																							obj_t BgL_arg1281z00_1214;

																							BgL_arg1280z00_1213 =
																								BGl_expandzd2prognzd2zz__prognz00
																								(BgL_bodyz00_1154);
																							{	/* Eval/expdcase.scm 91 */
																								obj_t BgL_arg1282z00_1215;

																								{	/* Eval/expdcase.scm 91 */
																									obj_t BgL_arg1283z00_1216;

																									BgL_arg1283z00_1216 =
																										CDR(
																										((obj_t)
																											BgL_clausesz00_1144));
																									BgL_arg1282z00_1215 =
																										BGl_loopze70ze7zz__expander_casez00
																										(BgL_xz00_1836,
																										BgL_arg1283z00_1216);
																								}
																								BgL_arg1281z00_1214 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1282z00_1215, BNIL);
																							}
																							BgL_arg1271z00_1208 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1280z00_1213,
																								BgL_arg1281z00_1214);
																						}
																						BgL_arg1267z00_1206 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1269z00_1207,
																							BgL_arg1271z00_1208);
																					}
																					BgL_arg1265z00_1204 =
																						MAKE_YOUNG_PAIR
																						(BGl_symbol1685z00zz__expander_casez00,
																						BgL_arg1267z00_1206);
																				}
																				BgL_arg1266z00_1205 =
																					CAR(((obj_t) BgL_clausesz00_1144));
																				return
																					BGl_evepairifyz00zz__prognz00
																					(BgL_arg1265z00_1204,
																					BgL_arg1266z00_1205);
																			}
																	}
																else
																	{	/* Eval/expdcase.scm 70 */
																		return
																			BGl_expandzd2errorzd2zz__expandz00
																			(BGl_string1674z00zz__expander_casez00,
																			BGl_string1680z00zz__expander_casez00,
																			BgL_xz00_1836);
																	}
															}
													}
												else
													{	/* Eval/expdcase.scm 70 */
														return
															BGl_expandzd2errorzd2zz__expandz00
															(BGl_string1674z00zz__expander_casez00,
															BGl_string1680z00zz__expander_casez00,
															BgL_xz00_1836);
													}
											}
									}
								else
									{	/* Eval/expdcase.scm 70 */
										return
											BGl_expandzd2errorzd2zz__expandz00
											(BGl_string1674z00zz__expander_casez00,
											BGl_string1680z00zz__expander_casez00, BgL_xz00_1836);
									}
							}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_casez00(void)
	{
		{	/* Eval/expdcase.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_casez00(void)
	{
		{	/* Eval/expdcase.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_casez00(void)
	{
		{	/* Eval/expdcase.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_casez00(void)
	{
		{	/* Eval/expdcase.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
			return BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1691z00zz__expander_casez00));
		}

	}

#ifdef __cplusplus
}
#endif
